libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

_xr_debug
xr_debug
XR_DEBUG_CALL
XR_DEBUG_CALL_TRACE
XR_DEBUG_CLIENT
XR_DEBUG_CLIENT_TRACE
xr_debug_enabled
XR_DEBUG_HTTP
XR_DEBUG_HTTP_TRACE
XR_DEBUG_LIB
XR_DEBUG_SERVER
XR_DEBUG_SERVER_TRACE
XR_DEBUG_SERVLET
XR_DEBUG_SERVLET_TRACE
XR_DEBUG_VALUE
xr_fini
xr_init
xr_trace

#define xr_trace | ( |  | mask,
|  |  | fmt,
|  |  | args...
| ) |  | do { if (G_UNLIKELY(xr_debug_enabled & mask)) _xr_debug(G_STRFUNC, fmt, ## args); } while(0)

Conditional trace message.

Parameters

  mask | XR_DEBUG_* constant that enables this message.
  fmt | Message format (printf like).
  args | Variable arguments.

Documentation for libxr, Mon Jan 6 2014 07:31:24.